import pygame
pygame.init()

import classes.Rectangle


class ChooseBlock(pygame.sprite.Sprite):
	def __init__(
		self,
		_data):
		"""
		
		"""
		super(ChooseBlock, self).__init__()
		
		base_data = _data["base_data"]
		advanced_data = _data["advanced_data"]
		
		self.rectangle_normal = classes.Rectangle.Rectangle(base_data)
		self.rectangle_active = classes.Rectangle.Rectangle(
		advanced_data)		
		
		self.image = self.rectangle_normal.image
		self.rect = self.rectangle_normal.rect
		
		self.is_active = False

		self.colour = _data["colour"]
		
		
	
	def update(self):
		if self.rect.collidepoint(pygame.mouse.get_pos()):
			self.image = self.rectangle_active.image
			self.rect = self.rectangle_active.rect
			self.is_active = True
		else:
			self.image = self.rectangle_normal.image
			self.rect = self.rectangle_normal.rect
			self.is_active = False