import pygame
pygame.init()

import classes.Block
import classes.Label


class NextBlock(pygame.sprite.Group):
	def __init__(
		self,
		_data):
		"""
		
		"""
		super(
			NextBlock,
			self).__init__()
			
		self.text_data = _data["text"]
		self.block_data = _data["block"]
		
		self.text = classes.Label.Label(self.text_data)		
		self.add(self.text)
		
		self.block = classes.Block.Block(self.block_data)
		self.add(self.block)
		
	
	def set_next_block(self,
		_colour,
		_colour_label):
		"""
		
		"""
		self.colour = _colour
		self.colour_label = _colour_label
		
		self.block.set_colour(self.colour)