import constants.core

SCENE_DATA = {
	"type": "menu_scene",
	"data": {
		"bg_colour": constants.core.WHITE,	
		"heading": {
			"label": "COLOUR TOWER",
			"font": "ZillaSlab-Regular.ttf",
			"font_size": 50,
			"fgcolour": constants.core.BLACK,
			"bgcolour": constants.core.YELLOW,
			"pos_anchor": "centerxy",
			"pos_x": 640,
			"pos_y": 100
		},
		"menu_items": {
			"play": {
				"label": "PLAY!",
				"font": "ZillaSlab-Regular.ttf",
				"font_size": 39,
				"fgcolour": constants.core.BLACK,
				"bgcolour": constants.core.GREY,
				"hover_fgcolour": constants.core.GREY,
				"hover_bgcolour": constants.core.BLACK,
				"hover_font_size": 42,
				"pos_anchor": "centerxy",
				"pos_x": 640,
				"pos_y": 200,
				"return_value": "scene_play_choose_tower"
			},
			"generate": {
				"label": "GENERATE",
				"font": "ZillaSlab-Regular.ttf",
				"font_size": 39,
				"fgcolour": constants.core.BLACK,
				"bgcolour": constants.core.GREY,
				"hover_fgcolour": constants.core.GREY,
				"hover_bgcolour": constants.core.BLACK,
				"hover_font_size": 42,
				"pos_anchor": "centerxy",
				"pos_x": 640,
				"pos_y": 250,
				"return_value": "scene_generate"
			},				
			"quit": {
				"label": "QUIT",
				"font": "ZillaSlab-Regular.ttf",
				"font_size": 39,
				"fgcolour": constants.core.BLACK,
				"bgcolour": constants.core.GREY,
				"hover_fgcolour": constants.core.GREY,
				"hover_bgcolour": constants.core.BLACK,
				"hover_font_size": 42,
				"pos_anchor": "centerxy",
				"pos_x": 640,
				"pos_y": 300,
				"return_value": "quit"
			},			
		}
	},
}