import constants.core

SCENE_DATA = {
	"type": "scene_play",
	"data": {
		"timer_data": {
			"label": "00:00:00:00",
			"font": "ZillaSlab-Regular.ttf",
			"font_size": 50,
			"fgcolour": constants.core.BLACK,
			"pos_anchor": "centerxy",
			"pos_x": 150,
			"pos_y": 100		
		},
		"tower_data": {
			"tower_lines": {
				"colour": constants.core.BLACK,
				"line_thickness": 1,
				"line_left": {
					"width": 1,
					"height": 1024,
					"left": 300,
					"top": 0
				},
				"line_right": {
					"width": 1,
					"height": 1024,
					"left": 360,
					"top": 0
				}
			},
		},
		"choose_block_data": {
			"block_red": {
				"colour": "red",
				"base_data": {
						"width": 50,
						"height": 50,
						"colour": constants.core.RED,
						"centerxy": (900, 250)
				},
				"advanced_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.BRIGHT_RED,
						"centerxy": (900, 250)
				}
			},
			"block_blue": {
				"colour": "blue",
				"base_data": {
					"width": 50,
					"height": 50,
					"colour": constants.core.BLUE,
					"centerxy": (900, 310)
				},
				"advanced_data": {
					"width": 60,
					"height": 60,
					"colour": constants.core.BRIGHT_BLUE,
					"centerxy": (900, 310)							
				}
			},
			"block_green": {
				"colour": "green",
				"base_data": {
					"width": 50,
					"height": 50,
					"colour": constants.core.GREEN,
					"centerxy": (900, 370)
				},
				"advanced_data": {
					"width": 60,
					"height": 60,
					"colour": constants.core.BRIGHT_GREEN,
					"centerxy": (900, 370)							
				}
			},
			"block_yellow": {
				"colour": "yellow",
				"base_data": {
					"width": 50,
					"height": 50,
					"colour": constants.core.YELLOW,
					"centerxy": (900, 430)
				},
				"advanced_data": {
					"width": 60,
					"height": 60,
					"colour": constants.core.BRIGHT_YELLOW,
					"centerxy": (900, 430)							
				}
			},
			"block_purple": {
				"colour": "purple",
				"base_data": {
					"width": 50,
					"height": 50,
					"colour": constants.core.PURPLE,
					"centerxy": (900, 490)
				},
				"advanced_data": {
					"width": 60,
					"height": 60,
					"colour": constants.core.BRIGHT_PURPLE,
					"centerxy": (900, 490)							
				}					
			},
			"block_grey": {
				"colour": "grey",
				"base_data": {
					"width": 50,
					"height": 50,
					"colour": constants.core.GREY,
					"centerxy": (900, 550)
				},
				"advanced_data": {
					"width": 60,
					"height": 60,
					"colour": constants.core.BRIGHT_GREY,
					"centerxy": (900, 550)							
				}				
			}	
		},
		"next_block_data": {
			"colour": None, # Will be set dynamically.
			"text": {
				"label": "NEXT BLOCK",
				"font": "ZillaSlab-Regular.ttf",
				"font_size": 30,
				"fgcolour": constants.core.BLACK,
				"pos_anchor": "centerxy",
				"pos_x": 900,
				"pos_y": 100
			},
			"block": {
				"centerxy": (900, 150),
				"width": 50,
				"height": 50,
				"colour": None, # Will be set dynamically.				
			}
		}
	}
}