import pygame
pygame.init()

import helpers.helpers

class Label(pygame.sprite.Sprite):
	def __init__(
		self, 
		_data):
		"""
		
		"""
		super(Label, self).__init__()
		
		self.data = _data
		self.font = helpers.helpers.load_font(
			_data["font"],
			_data["font_size"])
		
		self.text_normal = pygame.sprite.Sprite()
		
		self.value = _data["label"]
		
		if 'bgcolour' in _data:
			self.image = self.font.render(
				_data["label"],
				True,
				_data["fgcolour"],
				_data["bgcolour"])			
		else:
			self.image = self.font.render(
				_data["label"],
				True,
				_data["fgcolour"])			
		

			
		self.rect = self.image.get_rect()
		
		if _data["pos_anchor"] == "centerxy":
			self.rect.centerx = _data["pos_x"]
			self.rect.centery = _data["pos_y"]			
	
	
	def update(self):
		pass
	
	
	def change_value(self,
		_new_value):
		
		self.value = _new_value
		
		if 'bgcolour' in self.data:
			self.image = self.font.render(
				self.value,
				True,
				self.data["fgcolour"],
				self.data["bgcolour"])			
		else:
			self.image = self.font.render(
				self.value,
				True,
				self.data["fgcolour"])	
				
		self.rect = self.image.get_rect()
		
		if self.data["pos_anchor"] == "centerxy":
			self.rect.centerx = self.data["pos_x"]
			self.rect.centery = self.data["pos_y"]				