import classes.MenuScene
import classes.GenerateScene
import classes.SceneGenerateTower
import classes.ScenePlayChooseTower
import classes.ScenePlay
import classes.SceneScore


class SceneFactory(object):
	@staticmethod
	def construct(
		_window,
		_scene_type,
		_scene_data,
		_dynamic_data):
		"""
		
		"""
		if _scene_type == "menu_scene":
			return classes.MenuScene.MenuScene(
				_window,
				_scene_data,
				_dynamic_data)
				
		elif _scene_type == "generate_scene":
			return classes.GenerateScene.GenerateScene(
				_window,
				_scene_data,
				_dynamic_data)
		
		elif _scene_type == "scene_generate_tower":
			return classes.SceneGenerateTower.SceneGenerateTower(
				_window,
				_scene_data,
				_dynamic_data)
		
		elif _scene_type == "scene_play_choose_tower":
			return classes.ScenePlayChooseTower.ScenePlayChooseTower(
				_window,
				_scene_data,
				_dynamic_data)
		
		elif _scene_type == "scene_play":
			return classes.ScenePlay.ScenePlay(
				_window,
				_scene_data,
				_dynamic_data)
		
		elif _scene_type == "scene_score":
			return classes.SceneScore.SceneScore(
				_window,
				_scene_data,
				_dynamic_data)				