import pygame
pygame.init()

import constants.core
import datetime

import classes.Label

class Timer(classes.Label.Label):
	def __init__(
		self,
		_data):
		super(Timer, self).__init__(_data)
		
		self.time_in_milliseconds = 0
		
	
	def show_new_time(self):
		"""
		
		"""
		
		millis = int(self.time_in_milliseconds)
		milliseconds = (millis % 1000) / 10
		seconds = (millis / 1000) % 60
		seconds = int(seconds)
		minutes = (millis / (1000 * 60)) % 60
		minutes = int(minutes)
		hours = (millis / (1000 * 60 * 60)) % 24

		hms = "%.2d:%.2d:%.2d:%.2d" % (hours, minutes, seconds, milliseconds)
		self.change_value(hms)
		
		
	def update(self, _et):
		"""
		
		"""
		self.time_in_milliseconds += _et
		
		self.show_new_time()