import constants.core


class TowerBlockSequence(object):
	def __init__(
		self,
		_sequence):
		
		self.sequence = _sequence		
		self.max_blocks = len(self.sequence)
		self.cur_idx = -1
		
		self.current_block = None
		self.current_block_colour = None
		self.current_block_colour_label = None
		
		self.end_reached = False
		self.choose_next_block()
		
		
	def choose_next_block(self):
		"""
		
		"""
		if not self.end_reached:	
			self.cur_idx += 1
			self.current_block = self.sequence[self.cur_idx]
			self.choose_colour_label()
			self.choose_colour()
			
			if self.cur_idx + 1 == self.max_blocks:
				self.end_reached = True
			
	
	def choose_colour_label(self):
		"""
		
		"""
		self.current_block_colour_label = constants.core.LOOKUP_NUMBER_COLOUR[self.current_block]
		
		
	def choose_colour(self):
		"""
		
		"""
		self.current_block_colour = constants.core.LOOKUP_COLOUR_COLOUR[self.current_block_colour_label]