import constants.core

SCENE_DATA = {
	"type": "scene_play_choose_tower",
	"data": {	
		"menu_scene_data": {
			"bg_colour": constants.core.WHITE,			
			"heading": {
				"label": "PLAY - CHOOSE TOWER",
				"font": "ZillaSlab-Regular.ttf",
				"font_size": 50,
				"fgcolour": constants.core.BLACK,
				"bgcolour": constants.core.YELLOW,
				"pos_anchor": "centerxy",
				"pos_x": 640,
				"pos_y": 100
			},
			"menu_items": {
				"ok": {
					"label": "OK",
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 39,
					"fgcolour": constants.core.BLACK,
					"bgcolour": constants.core.GREY,
					"hover_fgcolour": constants.core.GREY,
					"hover_bgcolour": constants.core.BLACK,
					"hover_font_size": 42,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 850,
					"return_value": "scene_play"
				},
				"return": {
					"label": "RETURN",
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 39,
					"fgcolour": constants.core.BLACK,
					"bgcolour": constants.core.GREY,
					"hover_fgcolour": constants.core.GREY,
					"hover_bgcolour": constants.core.BLACK,
					"hover_font_size": 42,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 900,
					"return_value": "scene_main_menu"
				},				
			}
		},
		"scene_play_choose_tower": {
			"base_data": {
				"heading": 
				{
					"label": "#", # Just a placeholder
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 39,
					"fgcolour": constants.core.BLACK,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 200
				},
				"menu_items": {
					"next": {
						"label": ">>",
						"font": "ZillaSlab-Regular.ttf",
						"font_size": 39,
						"fgcolour": constants.core.BLACK,
						"bgcolour": constants.core.GREY,
						"hover_fgcolour": constants.core.GREY,
						"hover_bgcolour": constants.core.BLACK,
						"hover_font_size": 42,
						"pos_anchor": "centerxy",
						"pos_x": 640,
						"pos_y": 750,
						"return_value": ""
					},
					"previous": {
						"label": "<<",
						"font": "ZillaSlab-Regular.ttf",
						"font_size": 39,
						"fgcolour": constants.core.BLACK,
						"bgcolour": constants.core.GREY,
						"hover_fgcolour": constants.core.GREY,
						"hover_bgcolour": constants.core.BLACK,
						"hover_font_size": 42,
						"pos_anchor": "centerxy",
						"pos_x": 640,
						"pos_y": 800,
						"return_value": ""
					},		
				},
				"text_n_blocks":
				{
					"label": "Blocks: #", # Just a placeholder
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 39,
					"fgcolour": constants.core.BLACK,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 250					
				},
				"record":
				{
					"label": "Record: #", # Just a placeholder
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 39,
					"fgcolour": constants.core.BLACK,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 300				
				},
				"blocks":
				{
					"block_red":
					{
						"colour": "red",
						"base_data": {
							"width": 50,
							"height": 50,
							"colour": constants.core.RED,
							"centerxy": (640, 350)
						}
					},
					"block_blue": {
						"colour": "blue",
						"base_data": {
							"width": 50,
							"height": 50,
							"colour": constants.core.BLUE,
							"centerxy": (640, 420)
						}
					},
					"block_green": {
						"colour": "green",
						"base_data": {
							"width": 50,
							"height": 50,
							"colour": constants.core.GREEN,
							"centerxy": (640, 490)
						}
					},
					"block_yellow": {
						"colour": "yellow",
						"base_data": {
							"width": 50,
							"height": 50,
							"colour": constants.core.YELLOW,
							"centerxy": (640, 560)
						}
					},
					"block_grey": {
						"colour": "grey",
						"base_data": {
							"width": 50,
							"height": 50,
							"colour": constants.core.GREY,
							"centerxy": (640, 620)
						}
					},
					"block_purple": {
						"colour": "purple",
						"base_data": {
							"width": 50,
							"height": 50,
							"colour": constants.core.PURPLE,
							"centerxy": (640, 690)
						}
					}					
				}
			},
			"advanced_data": {
			}
		}
	}
}