import constants.core

SCENE_DATA = {
	"type": "scene_score",
	"data": {	
		"menu_scene_data": {
			"bg_colour": constants.core.WHITE,			
			"heading": {
				"label": "GAME OVER",
				"font": "ZillaSlab-Regular.ttf",
				"font_size": 50,
				"fgcolour": constants.core.BLACK,
				"bgcolour": constants.core.YELLOW,
				"pos_anchor": "centerxy",
				"pos_x": 640,
				"pos_y": 100
			},	
			"menu_items": {
				"ok": {
					"label": "OK",
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 39,
					"fgcolour": constants.core.BLACK,
					"bgcolour": constants.core.GREY,
					"hover_fgcolour": constants.core.GREY,
					"hover_bgcolour": constants.core.BLACK,
					"hover_font_size": 42,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 250,
					"return_value": "scene_main_menu"
				},		
			}
		},
		"extra_data": {
			"score": {
				"label": "YOUR TIME:",
				"font": "ZillaSlab-Regular.ttf",
				"font_size": 39,
				"fgcolour": constants.core.BLACK,
				"pos_anchor": "centerxy",
				"pos_x": 640,
				"pos_y": 200
			}
		}
	}
}